package main

import (
	"log"
	"net"
	"time"
)

const format = "Monday, January 2, 2006 15:04:05 MST"

func handle(conn net.Conn) {
	t := time.Now()
	conn.Write([]byte(t.Format(format)))
	conn.Close()
}

func main() {
	ln, err := net.Listen("tcp", ":13")
	if err != nil {
		panic(err)
	}
	for {
		conn, err := ln.Accept()
		if err != nil {
			log.Print(err)
		}
		go handle(conn)
	}
}
